Summary:        Create diffs/patches for text and binary files
Name:           libxdiff
Version:        0.22
Release:        1%{?dist}
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.xmailserver.org/xdiff-lib.html
Source0:        http://www.xmailserver.org/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%description
The LibXDiff library implements basic and yet complete functionalities
to create file differences/patches to both binary and text files. It
uses memory files as file abstraction to achieve both performance and
portability. For binary files, it implements (with some modification)
the algorithm described in File System Support for Delta Compression
by Joshua P. MacDonald. For text files, it follows directives
described in An O(ND) Difference Algorithm and Its Variations by
Eugene W.  Myers. Memory files used by the library are basically a
collection of buffers that store the file content.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --with-pic --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -rf %{buildroot}%{_libdir}/%{name}*.{a,la}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/%{name}.so.*
%{_mandir}/man3/xdiff.3*

%files devel
%defattr(-, root, root, -)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Sat Jun  7 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.22-1
- Random cleanup

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.22-2mdv2008.1
+ Revision: 136571
- restore BuildRoot
+ Thierry Vignaud <tvignaud@mandriva.com>
- kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-2mdv2008.0
+ Revision: 79447
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2008.0
+ Revision: 79366
- Import libxdiff

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2008.0
- initial Mandriva package (opensuse import)
